Vodič: Instalirajte pakete .tar.gz i .tar.bz2

Na početku kada pokrenemo Linux i tražimo program, normalno je da pronađemo .deb ili .rpm, a u mnogim slučajevima pronađemo programe s nastavkom .tar.gz y .tar.bz2Te su datoteke komprimirane i obično sadrže upute za instalaciju, osim programa.

Instalacija za ove dvije vrste paketa je potpuno ista

Prvo uđemo u mapu u kojoj imamo datoteku, ako mapa ima nekoliko riječi, moramo ih staviti s "" ili ako ne traži mape sa svakom riječi

cd mapa u kojoj je datoteka cd "mapa u kojoj je datoteka"

Unutra raspakiramo datoteku

tar -zxvf ime datoteke.tar.gz tar -jxvf ime datoteke.tar.bz2

Mi konfiguriramo

. / Konfiguracija

Mi radimo (kompajliramo)

napraviti

Sada napravite instalaciju

make install

Ponekad nam može dati pogrešku u ./configure, u tom slučaju ne treba kompilaciju, a izvršavanjem imamo dovoljno, u terminalu radimo

Povezani članak:
Naredbe za poznavanje sustava (prepoznavanje hardverskih i nekih softverskih konfiguracija)
naziv programa

Ili stvorimo pokretač.


Sadržaj članka pridržava se naših načela urednička etika. Da biste prijavili pogrešku, kliknite ovdje.

102 komentara, ostavi svoj

Ostavite svoj komentar

Vaša email adresa neće biti objavljen. Obavezna polja su označena s *

*

*

  1. Za podatke odgovoran: Miguel Ángel Gatón
  2. Svrha podataka: Kontrola neželjene pošte, upravljanje komentarima.
  3. Legitimacija: Vaš pristanak
  4. Komunikacija podataka: Podaci se neće dostavljati trećim stranama, osim po zakonskoj obvezi.
  5. Pohrana podataka: Baza podataka koju hostira Occentus Networks (EU)
  6. Prava: U bilo kojem trenutku možete ograničiti, oporaviti i izbrisati svoje podatke.

  1.   moscosov dijo

    wena, +1

  2.   odgovarajuće dijo

    zapravo je ispravno raspakirati
    tar -zxvf datoteka.tar.gz
    tar -jxvf datoteka.tar.bz2

    a za konfiguriranje postoji bezbroj mogućnosti (ovisno o softveru) za prilagodbu instalacije

    ./konfiguracija –pomoć

    Uz to će vidjeti različite dodatne mogućnosti prilikom instaliranja programa.
    Ne koriste sve distribucije / usr / local za instaliranje programa, to se također mora spomenuti.

    Zaboravili ste spomenuti kako deinstalirati program instaliran na taj način. Pored definiranja optimizacija za svaku arhitekturu.

    U svakom slučaju, dobra inicijativa, ali propustili ste puno ... previše informacija za dijeljenje.

    pozdravi

    1.    Hrabrost dijo

      To je nešto što gotovo nikad nisam koristio, većinu programa pronalazim u službenim spremištima.

      Istina o dekompresiji je da mi je uvijek bilo dobro ovako.

      Napisao sam ga jer mi smeta svima onima koji kažu, "kad ga otkopčate, pročitajte upute."

      U svakom slučaju, .tar.gz vidim kao krajnje sredstvo, ako ga nema u paketu deb / rpm ili u spremištima

      1.    odgovarajuće dijo

        "Istina je da je dekompresija uvijek bila dobra za mene ovako."
        slažemo se, ja to ne sporim, ali to ne znači da je to ispravno. Ne dekomprimiraju se svi distroovi "inteligentno", neki moraju dodati više parametara.

        1.    Hrabrost dijo

          Čovječe, nisam ja kriv što postoje subnormalni distrosi hahahaha

          1.    odgovarajuće dijo

            KISS covjece ... KISS

          2.    Hrabrost dijo

            Čovječe, KISS nije debil, to već znaš sa Slackwareom hahahaha

          3.    odgovarajuće dijo

            xD
            Zato vam to kažem

            Jednostavno! = Lako.

  3.   Yoyo dijo

    +1 za pravilno

    1.    Pepe dijo

      Jedan šupak više od drugog. Ti "genijalci" su izvan teme.

  4.   Lithos523 dijo

    Ako promijenite "make install" u "checkinstall" (možete ga instalirati sa sposobnošću, nalazi se u spremištima), instalirat će program, ali i:
    -Napravite .deb kako biste ga mogli instalirati u budućim prilikama
    -Instalirani program pojavit će se u programu Synaptic, tako da ga od tamo možete lako deinstalirati

    1.    Hrabrost dijo

      Korisnici Arch-a uključeni su u Aptitude ...

  5.   jelpasajero dijo

    Oprostite na svom neznanju, ali rješava li vanzemaljska aplikacija sve te probleme?

    1.    odgovarajuće dijo

      ne, jer izvanzemaljac radi s kompiliranim paketima, a tar.gz ili tar.bz2 su komprimirane datoteke s izvornim kodom.

  6.   pandev92 dijo

    Ne možete stvarno podučavati o tome, većinu vremena, barem se qt paketi sastavljaju na druge još čudnije načine.

    1.    hypersayan_x dijo

      Točno sam htjela reći isto.
      Oni koji koriste qmake iz Qt-a su otprilike ovako:


      cd CarpetaPrograma
      qmake
      make
      sudo make install

      I dodam još jedan slučaj koji je cmakes:


      cd CarpetaPrograma
      mkdir build
      cd build
      cmake ..
      make
      sudo make install

      Ili postoje i drugi koji jednostavno trebaju pokrenuti make && sudo make install.
      To su najčešći slučajevi, ali postoji mnogo više varijanti: s

      1.    mcder3 dijo

        Postoje slučajevi da neke aplikacije izrađene u QT-u ne donose datoteku izrade. Dakle, vrijeme je da ih kreiramo u sljedećem retku:

        qmake -makefile

        pozdravi

  7.   jelpasajero dijo

    Da vidimo mogu li pojasniti, kad moram koristiti tar.gz ili tar.bz2, sve što radim za generiranje .deb ili all.deb pomoću alien je stavljanje sudo alien install + ime paketa. To nije isto što i sastavljanje?

    1.    hypersayan_x dijo

      Ne, kompajliranje transformira izvorni kod programa u strojni kod.
      Dok ono što radite sa izvanzemaljcem je prepakiranje koje pretvara format paketa jedne distribucije u format paketa druge distribucije.
      Da bismo to učinili jednostavnijim, to je kao da imate datoteku komprimiranu u RAR-u i želite je pretvoriti u ZIP, dekomprimirali biste datoteku u RAR-u i ponovno je stisnuli u ZIP-u, to je ono što izvanzemaljac radi.

  8.   StuMx dijo

    Kompilacija se vrši u makeu, a ne u configureu. Datoteka za konfiguriranje je skripta koja potvrđuje da je sustav u skladu sa svim ovisnostima za kompajliranje programa, a zatim generira datoteku make (koja definira kako će se kompilirati) prema našem sustavu.

    1.    Hrabrost dijo

      Sad ga uklanjam jer je ovaj članak već dugo vremena od kada sam ga napisao u travnju ili svibnju. Nisam provjerio gotovo uklanjajući neku lošu riječ ništa drugo

  9.   jelpasajero dijo

    Pozdrav:
    Mislim da se ne objašnjavam baš najbolje. Alien ne samo da pretvara rpm paket u .deb, ako uzmete izvorni kod programa, bio to gz ili bz2, pretvara ga u samoinstalirajući program za ispravljanje pogrešaka. Stoga moje pitanje. Kratko sam vrijeme na Linuxu, podnesite sa mnom

  10.   Marco dijo

    oprostite zbog mog neznanja, ali ovi koraci vrijede i u čakri ili se nešto mijenja ???

    1.    KZKG ^ Gaara dijo

      Uopće nijedan muškarac 😀
      Kao takvi, ovi su koraci gotovo standard u svim distribucijama, ali nije 100% sigurno da su to UVIJEK koraci koje treba slijediti. Zato vam preporučujem da uvijek pročitate datoteku s uputama (README obično) prije nego što bilo što učinite.

    2.    odgovarajuće dijo

      kao što @ KZKG ^ Gaara kaže, to nije uvijek slučaj, to je standard koji će raditi za sve distribucije sve dok je program napisan na C / C ++

  11.   Carlos-Xfce dijo

    Kad se opet suočim s .tar.gz tih podataka, vratit ću se na ovaj članak. Kako se gnušam takvih takvih paketa!

    1.    Hrabrost dijo

      Prokletstvo da si dovoljno star da instaliraš ove pakete HAHAHAHAHA

  12.   VulkHead dijo

    Oprostite na mojem nedostatku znanja, ovaj način instalacije radi i za Debian. Jer se trudim i trudim se i to mi daje grešku.

  13.   Laura Tejera dijo

    Zato nitko ne koristi linux, trik je napraviti bilo što glupo

    1.    elav dijo

      Koliko su znatiželjne, neke od onih gluposti koje spominjete, "super daroviti" korisnici sustava Windows i OS X ne mogu ih učiniti ili ih se boje.

      1.    Laura Tejera dijo

        Smiješno je kako ljudi poput vas mogu slijediti tako zatvoreni OS.

        1.    KZKG ^ Gaara dijo

          Jeste li izbjegli odgovoriti na pitanje? ... Mogu li korisnici Windowsa ili geniji OS X učiniti toliko stvari sa svojim sustavom koliko prikazujemo na ovom mjestu? 🙂

          Usput, koristite Ubuntu pa ... o čemu razgovaramo?

          1.    Laura Tejera dijo

            nastavi s osrednjom mangom

            1.    KZKG ^ Gaara dijo

              Jesmo li osrednji? ... Uff ... LOL!


      2.    Pepe dijo

        Mi smo u 2015. godini!
        Mislim da nije potrebno gubiti toliko vremena na učenje za rad s konzole.
        Zašto za to ne koristiti automatizirane aplikacije?
        U svakom slučaju, oni koji "vole" pisati naredbe s tamošnje konzole, neka to i dalje rade, ali paralelno bi bilo potrebno imati te iste automatizirane naredbe. Ne tražim od vas da pošaljete raketu na Mjesec.

    2.    Santiago Luis Bazan dijo

      Razlozi za korištenje slobodnog softvera su moralna etika. Nikada ne dopustite da bilo kome uskraćuju ljudske slobode

      1.    Pepe dijo

        Istine da mi se zasitila sanata o "slobodi" u programima. Zar ne bi mogli prestati hvaliti nepostojećeg boga i biti malo ponizniji?

    3.    Pepe dijo

      U pravu si Laura, ovi ljudi sa svojim Linuxom to kompliciraju do kostiju. U put0 prozorima stvari su lakše. Ne ponižavam Linux, ali ne može biti tako da instalirate bilo kakve pel0tude koje satima i satima istražujete kako funkcionira katran i sve meresunde, tako da na kraju dana zapnete s onim "početnikom Linuxa ...".

      Namjeravam koristiti stabilan operativni sustav, ali ne i oduzeti sate u proizvodnji, jer moram raditi, ne želim postati "diplomac Linuxa".

  14.   Thanatos dijo

    Uvijek nešto nedostaje ... kad dam ./configure dobijem: configure: error: Vaš je intltool prestar. Trebate intltool 0.35.0 ili noviji.

    Nakon toga se vraća naredba make: Nije naveden cilj i nije pronađena datoteka make. Visoko.

    make install: Ne postoji pravilo za izgradnju cilja `install

    Ja sam novak i dobro je istraživati ​​da bih naučio, ali, jebiga, zar to ne možete objasniti obojenim kamenčićima za one koji smo novi u Linuxu?

    1.    Ponchus dijo

      Thanatos imao sam sličan problem i dijelim svoj ishod:
      (Prije svega, da pojasnim da sam i ja neofit u svijetu Linuxa i da su moje avanture u ovom kontekstu s "okusom" (distro) za Ubuntu jedan tjedan).
      Pod pretpostavkom da u moju mapu "Preuzimanja" ulazi naredbom "cd" gdje se u terminalu ili konzoli nalazio moj paket programa "SoulSeek" sa završetkom ".tgz":
      "./Configure" dao mi je pogrešku da datoteka ili direktorij ne postoje
      "Napravi" bacio je istu pogrešku kao i ti ... pa nisam nastavio s naredbom "sudo make install" (sudo je zato što Ubuntu za pokretanje ove naredbe zahtijeva "Super User i njegovu lozinku", drugim riječima izvršite instalaciju) .
      Istražujući prethodno raspakiranu datoteku, shvatio sam da vam se nešto može dogoditi, a to je da je raspakirana datoteka tipa "izvršna datoteka" (svojstva desnog klika) i da su joj bila potrebna dva klika.
      Vaš problem u «./configure» može se riješiti ažuriranjem paketa ili spremišta (ovi pojmovi me pomalo zbunjuju) instaliranim u vašem Distru, jer vam govori da je «intItooI» star i da vam treba noviji, i mislim da da je možda ovaj paket onaj koji se kompilira na vašem distro-u. U Ubuntuu to radite na istom terminalu upisivanjem "sudo apt-get update" i ažurirate sve pakete u sustavu.
      Nadam se da sam bio od pomoći.

    2.    Pepe dijo

      Kao što sam rekao Lauri, ova stvar s Linuxom traje dugo. Dao mi je istu poruku o pogrešci kao i vaša, a ja sam poput duha Cantervillea s jednog mjesta na drugo, a nimalo.

      Šef mi je rekao: "Imate dva dana da pronađete rješenje, ako ne, vratit ćemo se na prozore."

  15.   Jonathan dijo

    hvala

  16.   ivan dijo

    zdravo imam isti problem želim instalirati skype 4.0. na svoj pclinuxOS preuzeo sam tar, gz2 i dekomprimirao i dok nisam stigao, kad to učinim ./configure, govori mi da datoteka ne postoji .. gdje sam se izgubio ili što? recite mi, u pclinuxOS (zadnja objavljena verzija) instaliran je skype, ali to je verzija 2.2 i želim instalirati 4,
    Moram li napraviti neki trik da bih napokon ovo instalirao? nešto u sinaptičkom što ne znam ???
    Ja sam novi u ovom sustavu, već sam probao druge distro sisteme i zasad je sve u redu, osim ovog.

    pozdravi

    1.    Pepe dijo

      Jesam li to ja ili mislim da nitko ne zna ta pitanja.

    2.    F7eo dijo

      Bok, prošlo je puno vremena od tvog pitanja.

      Preporučujem da preuzmete najnoviju verziju Skypea za Windows (R)
      i da koristite Wine za pokretanje na vašem GNU-Linux distribucijskom sustavu.

  17.   od dijo

    Zdravo! Imam isti problem: preuzeo sam najnoviju verziju središnjeg softvera s proširenjem tar.gz i kad sam došao do instance "./configure", dobio sam pogrešku, kao u "make". ŠTO JE"?? HVALA!! Osim toga, softverski centar je blokirao mogućnost instalacije !!!

  18.   Carlos Rivera dijo

    Hvala, puno mi je pomoglo !!!!

  19.   Michael dijo

    kako stvoriti pokretač

  20.   Angi dijo

    Jedno pitanje, možete li provjeriti ovisnosti datoteke tar.gz prije pokretanja ./configure ???

  21.   joseluis dijo

    Ja sam novi u Linuxu, čini mi se da je vrlo teško instalirati tar gz gz2 tablete i ako dobijem debljinu nedostaju ovisnosti, a sa okretajima isto ako je i586 ili i686 ili i386, a najgore je što nemam internet u svojoj kući. Kad vidite toliko komentara koji proturječe jednom, zbunjuje vas još gore.

  22.   Gabriel Yamamoto dijo

    dobre informacije, ali neki * .tar.bz2 paketi su već sastavljeni i da biste ih instalirali, jednostavno ih morate otpakirati u bilo koju mapu (po mogućnosti / odlučiti tako da bude dostupna svim korisnicima) i izvršiti izravan pristup binarnom programu u / usr / lokalno / kanta za smeće

  23.   Gonzalo dijo

    Vrlo dobro objašnjenje kako koristiti tar.gz datoteke. Puno vam hvala na informacijama. Pozdrav cijeloj ekipi

  24.   juancuyo dijo

    Meni to ne uspijeva
    cd / home / ju / downloads / icecat-24.0 ——-> Odgovara mi
    bash: cd: home / ju / downloads / icecat-24.0: datoteka ili direktorij ne postoji
    Što radim krivo??? Operativni sustav je Voyager 14.04 LTS (xubuntu) Xfce desktop Gdebi nije u izborniku sadržaja, a nije ni sinaptički, ali je u početnom izborniku, čak i ako ih otvorim, mape ne prepoznaju, to je kao da ne postoje. Raspakirao sam ga u istu mapu za preuzimanje. Je li pogrešno raspakiran ????

  25.   Claudio dijo

    Ovaj vodič također radi za .tgz?

    1.    joakoej dijo

      Ne, .tgz je format koji koristi Slackware i već je kompiliran, bez obzira jeste li ga preuzeli ili kompilirali iz slackbuild-a

    2.    joakoej dijo

      Da biste ga instalirali, morate upotrijebiti installpkg "naziv paketa".

  26.   asdf dijo

    Žao mi je, ali to mi puno ne rješava problem, kada kažete ./configure i mi ga konfiguriramo, trebali biste navesti više, zar ne? ako samo stavim ./configure govori mi
    bash: ./configure: Datoteka ili direktorij ne postoji

    onda kažete "mi radimo"
    Kodirati:
    Napraviti
    Moj rezultat:
    make: *** Nije naveden cilj i nije pronađena make datoteka. Visoko.

    Izvršite instalaciju
    make: *** Ne postoji pravilo za konstrukciju cilja "install". Visoko.

    A onda kažete "mi pokrećemo program"
    Kodirati:
    Naziv programa

    Kako mogu znati koje je to ime ili koje je izvršno? Vrlo je apstraktno, možda uzimate zdravo za gotovo nekoliko stvari koje ćete znati, ali oni koji dođu pogledati tutorial možda neće znati

    1.    Damian dijo

      asdf.

      Istražio sam i pogreška koja se javlja prilikom davanja ./configure nastala je zbog nedostatka programa za kompilaciju (kako bismo mogli kompajlirati, a da nemamo program koji to radi?). naredba za instaliranje prevoditelja za ulazak je:

      sudo aptitude instalirati graditi-bitno

      jednom instalirani, idemo u mapu u kojoj je datoteka za raspakiranje i izvršimo:

      tar -zxvf ime_programa.tar.gz

      Zatim UNOSIMO u raspakiranu mapu programa i ako tamo izvršimo ./configure, a zatim sudo make install

      Nadam se da sam pomogao!

      Pozdrav.

      1.    Damian dijo

        Žao mi je, zaboravio sam pojasniti, u mom slučaju da bih izveo "make" i "sudo apt-get install program", morao sam unijeti mapu "base" u unzipiranu mapu, taman sam uzeo naredbe za kompajliranje ( make) i instalaciju.

      2.    Carlos dijo

        To mi stvara probleme kad koristim make, kaže da ne nalazi ništa za visoko graditi

  27.   Brenda dijo

    Žao mi je što imam ovaj problem. Izvodim ovu naredbu, pokazuje mi pogrešku i ne mogu stvoriti datoteku make
    radna površina: ~ / Preuzimanja $ tar -jxvf iReport-4.1.3.tar.bz2
    tar (dijete): iReport-4.1.3.tar.bz2: Ne može se otvoriti: Datoteka ili direktorij ne postoji
    tar (dijete): Pogrešku nije moguće popraviti: izlazak je sada
    tar: dijete je vratilo status 2
    tar: Pogreška se ne može popraviti: izlazak sada
    molim =)

  28.   Aaron dijo

    Dobar dan prijatelji,
    Novi sam u Linuxu, međutim, imao sam malu neugodnost kada je riječ o prepoznavanju uređaja koji je digitalni biometrijski čitač, jednostavno sam guglao i očito ga pronašao, preuzet je s .tar.gz nastavkom, pokušajte Otpakirajte ga u mapu, nekoliko je datoteka otpakovano, ali ne znam da li nakon toga moram izvršiti nešto drugo ili zalijepiti te raspakirane datoteke u mapu na sustavu, ne znam, ako mi pomognete, molim vas, da dobro pokrenem postupak, vrlo zahvalan, imam instaliran linux Debian 7 na OS XNUMX. unaprijed pozdrav i hvala vam puno.

  29.   Rufo López Retortillo dijo

    Koristim i Linex 2011 i Linex 2013 i najveći problem koji nalazim prilikom instaliranja aplikacija je taj što nisu učitani na popis aplikacija u svojoj grupi (grafika, ured, multimedija itd.), A ako želim stvoriti pokretač, ne znam gdje Moram ići pronaći datoteku pokretača aplikacija. U kojoj ga mapi kreirate? Kako to učiniti?
    Kada se instaliraju iz spremišta, pokretači se stave u svoju grupu, može li se to učiniti instaliranjem, tar.gz kako je opisano na ovom webu?
    Hvala na pomoći

  30.   Carlos dijo

    Pomozite mi da imam drugi operativni sustav koji se zove lps 1.5.5 i ne mogu ažurirati program

  31.   Carlos dijo

    Molim vas ponovite mi da ne mogu otpakirati datoteku tar.bz2. Imam operativni sustav zvan lps 1.5.5 i ne znam kako ga koristiti, molim vas pomozite mi, hvala vam ...

  32.   joscastel dijo

    nakon raspakiranja bz2 datoteke, naredba ./configure NE radi jer NE postoji

    1.    joscastel dijo

      Imam ubuntu 14.04LTS

  33.   znaš dijo

    Ne razumijem, u slaxu .tar.gz ide u kino, ali u ubuntuu ne mogu kompajlirati

  34.   Raul dijo

    Koji je najbolji OS? najbolji OS je taj što rješava vaše probleme.

  35.   Juanzito dijo

    Ljudi s Linuxom su nevjerojatni. Pokušavam instalirati ZinjaI na svoj novoinstalirani LinuxMint distro već najmanje 5 sati.
    Prolazim kroz sve forume koje pronađem i na svim (ali na svim, uključujući ovaj) daju vam pola informacija.
    Na primjer, već sam otvorio terminal, ali ne mogu staviti adresu mjesta na kojem se nalazi preuzeta datoteka (koja je / home / user / Downloads / zinjai).
    Sve što dobivam je pogreška: "bash: cd: user: Nema takve datoteke ili direktorija.
    Razumijem da žele širiti i širiti upotrebu operativnog sustava, ali, uskraćujući informacije ili objašnjavajući sve na pola mjere, jedino što će postići jest da korisnici poput mene, koji su imali čvrstu namjeru preći sa Windowsa na Linux, odustanu i držite se mog W7, lošeg, ali korisnog i upravljivog.

    Živjeli…

    PS: Što ih je koštao bijedni instalater s grafičkim sučeljem? Zašto bi danas u XXI. Stoljeću trebali nastaviti koristiti nešto slično DOS-u za instaliranje bijednog malog programa? Dječaci ... da vidimo hoće li malo oživjeti ....

    1.    Ocelot dijo

      cd ~ / Preuzimanja / put skripte za instalaciju.

      Savjet: držite se prozora. Svaki operativni sustav napravljen je za jednu vrstu osobe. Windows je stvoren za ljude koji više vole da im se da sve uz najmanji mogući napor i vidim da je to vaš slučaj. Postoje ljudi koji ne mogu ili ne žele težiti nečemu što je više nego sljedeće, sljedeće, sljedeće ... prihvatiti. To nije loše, jednostavno moramo znati svoja ograničenja i prilagoditi im se.

      Još jedan savjet: Kad biste samo znali koliko se stvari postiže poniznošću i koristeći dvije riječi poput "molim". Iznenadilo bi vas. Činite to često.

      1.    Knario dijo

        Pozdrav Linuxeros.
        Puno vam hvala na vodiču, pomogao mi je da instaliram upravljačke programe za dwa-131 wifi adapter.
        Malo sumnjam, učinio sam sve kako gore kažu.
        Idite na put do datoteke, napravite tar .... a zatim Make, pričekajte da završi i zatim izvršite instalaciju.
        Do tog koraka nisam dao nikakvu pogrešku.
        Pitanje koje imam je znati da li već imam instalirane upravljačke programe ili moram učiniti nešto drugo.
        Juanzito .. samo naprijed i dajte Linuxu priliku, bez obzira na distribuciju, odlučio sam napustiti Windows 7 prije tjedan dana i više sam izgubljen, hahaha, ali čitajući tu i tamo nađete informacije koje su vam ponekad teške Da biste razumjeli, sve ovisi o naporu svakog od njih da želi naučiti i izaći iz monopola u koji vas ugrađuje Windows (to je moje mišljenje).
        Jedna stvar ... na Linux terminalu broje se velika slova. 😉

        PS: Moram napraviti nešto drugo nakon instalacije Kame. ??

        Puno hvala.
        Puno vam hvala i pozdrav sa Kanarskih otoka.

      2.    Lukovi dijo

        a tko ste vi da kažete korisniku da se vrati u X sustav? Mislite li da je Richard stallman?

        Slažem se s onim što u nekim komentarima kažu da je najbolji OS onaj koji se sustav prilagodi korisniku, a NE obrnuto.

        Osobno volim Windows .exe jer, kako kažete, ne morate biti računalni genij da biste instalirali nešto vrlo jednostavno, poput jednostavne bilježnice; u usporedbi ovdje u linuxu da ako se ne nalazi u namjenskim softverskim aplikacijama držite se zapetljanog stoljeća s tabletom.

        Ovdje sam došao u potragu i organiziranje informacija za instaliranje programa na Linux jer se pripremam za instalaciju kovnice na produktivni stroj i znam da, ako se ne pripremim, neću moći ništa instalirati ako nije u spremištima.

        Sad „molim vas“ svi postavljaju problem, jer im nitko ne odgovara, zato ponekad ljudi moraju biti agresivni pa ne govorite gluposti.

      3.    Pablo dijo

        oprosti .. ali uvijek sam branio upotrebu slobodnog i otvorenog softvera .. koristim računala 30 godina .. i imam 37 godina ..
        problem je što je općenito u linuxu savršeno da onaj tko želi ili treba "znati" malo više za nešto jednostavno poput instaliranja programa, nadogradnje ili bilo čega drugog ... problem dolazi u tome što mnogi ljudi trebaju raditi i koristiti računalo (s bilo kojim OS-om) da obavi svoj specifični radni zadatak .. pa čak i ako treba 10 minuta da preuzmete .gz i instalirate ga .. ili ako će, kao što se najčešće dogodi, proći sati .. to su minute ili sati nemogućnosti radi svoj posao i tu gotovo svima ponestaje strpljenja ..
        U mom slučaju .. na poslu koristim samo Ubuntu koji je prema zadanim postavkama instaliran na računala, budući da je znanstveni centar, ali zbog toga provodim više sati pokušavajući instalirati ili čak razotkriti kako napraviti soft specifično (na primjer ja sam geograf) to djeluje .. ili da nakon bilo kakvog ažuriranja .. oporavim sve alate jer pola prestane raditi unutar programa ..
        u ovom konkretnom slučaju .. Morao sam vidjeti webinar / forum na poslu .. a budući da koriste javu, nedostaje mi znak da bih ga trebao ažurirati .. ok .. idite na web mjesto jave .. pronađite datoteku za moj OS, 14.04 .. pogledajte "" upute "za preuzimanje i instalaciju" .. preuzmite .gz i odatle .. raspakujte .. ok, i ... piše "install" .. i voila .. samo se ništa nije moglo učiniti informacije o ovom postu .. što da radim nakon što raspakiram «jre-blablabla života.gz» ??

  36.   Carlos Fabian Ferra dijo

    ovo mi nikad nije uspjelo ni u jednoj distribuciji

    1.    Yukiteru dijo

      Ako vam nije uspio, čisti je Sloj 8

      1.    Yank Carlos dijo

        Genije!

  37.   Ignacio Navarro dijo

    Kako ga koristim vrlo povremeno, svaki put kad uđem ovdje da vidim kako se to radi.
    Puno vam hvala što ste ga napisali i što ga niste izbrisali nakon toliko vremena.

  38.   Ramon dijo

    kao što na synaptic-u možete vidjeti novi instalirani paket ako vam prikazuje najstariji (stabilan prema distro-u) ¿?

  39.   Jorge dijo

    sve se usra kad stigne na ./configure nema nikoga tko dobro objašnjava kad kaže da datoteka ne postoji

    1.    Elvis dijo

      Pokušavam instalirati wifi s Broadcoma ./configure, niti napraviti niti natjerati instalaciju da radi.

      logični slijed je 1. izvršavanje ./configure, ali očito se ova uputa odnosi samo na direktorij za konfiguriranje i izvršavanje neke datoteke koja je tamo stavljena, to bi trebalo doći u paketu koji se preuzima s broadcoma, ali u mom slučaju ovaj direktorij nije tamo, već koja bi trebala izvršiti konfiguriranje je provjera i stvaranje datoteke Makefile, ali kada raspakiram paket shvatim da je Makefile ugrađen, druge dvije naredbe make and make install mi ne rade, bilo bi to zato što ga najnovija verzija osnovnog os ne podržava freya temeljena na ubuntu 14.04

    2.    Alejandro TorMar dijo

      Istina? Ova metoda kod mene nikad nije uspjela i uvijek se odlučim za .deb pakete ili naredbe s terminala ... Šteta što nema ništa jasno za instalirati .tar.gz

  40.   Elvis dijo

    Pokušavam instalirati wifi s Broadcoma ./configure, niti napraviti niti natjerati instalaciju da radi.

    logični slijed je 1. izvršavanje ./configure, ali očito se ova uputa odnosi samo na direktorij za konfiguriranje i izvršavanje neke datoteke koja je tamo stavljena, to bi trebalo doći u paketu koji se preuzima s broadcoma, ali u mom slučaju ovaj direktorij nije tamo, već koja bi trebala izvršiti konfiguriranje je provjera i stvaranje datoteke Makefile, ali kada raspakiram paket shvatim da je Makefile ugrađen, druge dvije naredbe make and make install mi ne rade, bilo bi to zato što ga najnovija verzija osnovnog os ne podržava freya temeljena na ubuntu 14.04

  41.   Alejandro TorMar dijo

    Istina? Ova metoda mi nikada nije pomogla i uvijek se odlučim za .deb pakete ili naredbe s terminala ... Šteta što nema ništa jasno za instalirati .tar.gz

  42.   Alejandro TorMar dijo

    Zašto se ovaj vodič ne ažurira? Ili izrađuju novu?
    Svi se ovdje žale da im to nije služilo i da već ima svoje godine….

  43.   HEKTOR MATOS dijo

    Pozdrav, želim pomoć, u vezi s tim za instaliranje paketa .. Imam Ubuntu verziju 15 .. nešto .. Želim instalirati adobe flash dodatak, jer je vrlo korisno instalirati ga, jer s adobe flash-om mogu ući na neke web stranice, na kojima možete vidjeti TV, a također slušajte radio .. molim vas, možete li mi poslati korak-po-korak tutorial .. Nemam puno iskustva u naredbenom retku, odnosno koristiti terminal.

    Pomozite..hvala

  44.   Abraham dijo

    Pozdrav svima !!! Nakon pročitanih gotovo svih komentara potražio sam linux priručnik i to je to ..
    Prijatelju OCELOTE, prihvati ovu kritiku, s mog skromnog i beznačajnog gledišta koje dijelim s milijunima korisnika sustava Windows:

    Volio bih prijeći na linux! ali mnogim od nas je to nemoguće, zašto? pitat ćete se ... jer za mene je računalo sredstvo koje moram obaviti, to nije kraj ... Ne znam razumijete li što sve želimo (a JUANZITO vam je dobro rekao) to je stabilan operativni sustav koji nam pomaže da za obavljanje našeg posla nemam vremena naučiti kako raditi osnovne stvari poput instaliranja programa s konzole, sve bi trebalo biti intuitivnije i lakše ... Kao poslovni čovjek reći ću vam da je upravljanje koje nosite s Linuxom katastrofalno, umjesto da pomažete ljudi da izvrše promjenu operativnog sustava inzistirate da ljudi lažu sa stvarima koje ih ne zanimaju, a vi sami blokirate promjenu ... netko tko je programirao u asembleru, javi, javascriptu, html-u, php-u i xbaseu kaže vam to ... i dodiruje mi nos što moram otvoriti konzolu za gotovo sve.

    pozdravi

  45.   defcon dijo

    Stamina DOS 6.22 stara !!

  46.   erput dijo

    Stavite vas na učenje i ostavite to sranje od wuendosa koje nekima ide jer oni stavljaju ključeve, ne plaćaju ih, da uvrijedite i naštetite onima koji su napravili te ključeve su linux genijalci i trebali bi Vi ste poput glupe rasprave o mamahuevadama, poslovnim ljudima kako im kažem, nastavi plaćati licencu i ako je ono što žele stabilno, pobijedite što rade, pišući idiote u ovim tutovima, ovo je za nas koji volimo linux idiote ... .. finger po as

  47.   GENNDA dijo

    Korisnicima početnicima nije baš jasno. Na primjer, kažete:
    «Prvo idemo u mapu u kojoj imamo datoteku, ako mapa ima nekoliko riječi, moramo ih staviti s" "ili ako ne traži mape sa svakom riječi» ...
    bilo koji će korisnik unijeti ove mape s «istraživačem» i preimenovat će ih, ne znajući naziv mape koja ga sadrži, pod navodnicima. To sa stajališta koje ste pročitali, «s gledišta korisnika početnika.

    Zatim stavite:
    cd mapa u kojoj je datoteka

    cd "mapa u kojoj je datoteka"
    Od te točke, korisnik je već otišao u oblake ili bilo gdje drugo, jer od sada se gubi na CD-u s inicijalima, ne pojašnjavate kako se tamo dolazi, primjer korak po korak, počevši od svega toga ... prvo otvara konzolu .

  48.   GENNDA dijo

    Za HECTOR MATOS: dodatak Adobe, java i drugi ne treba raditi ručno, samo neko vrijeme trebate biti povezani s internetom, a u upravitelju ažuriranja pojavit će se automatski, odatle će se automatski ažurirati, za Firefox Opera, a ostatak neovisno ... normalno je pokretač pored sata u početnoj traci, u nekoliko distroa vidio sam da je po defaultu bio tamo, ne znam hoće li tako biti u svima njima.

  49.   maksimum dijo

    Molimo vas da budete jasniji, nedostaje puno podataka

  50.   mary dijo

    pokušajte ažurirati python na 3.x i čineći instalaciju po završetku govori mi da postoji pogreška:
    zipimport.zipimporterror ne može dekomprimirati podatke zlib nije dostupan make *** pogreška instalacije

  51.   f_leonar dijo

    Nakon raspakiranja za pokretanje ./configure potrebno je unijeti raspakirani direktorij, inače ne radi. Koristim KDE i grafički sam ušao u mapu koju sam raspakirao i tamo otvorio terminal za izvršavanje "make", ali ne radi ...

  52.   anoniman dijo

    Imam pitanje, dobivam ovo:
    manolo @ mxlolo-satellite-c655d: ~ / Desktop $ ./configure –help
    bash: ./configure: Nema takve datoteke ili direktorija
    što ja radim…?

  53.   KATSODA dijo

    Sve dobro dok nije izašla ./konfiguracija kuglica.
    ŠTO ŽELIŠ REĆI TIME !? Oni to ne objašnjavaju, samo želim instalirati drugi jebeni život xddd
    «»»katsoda@katsoda-PC:~/Downloads$ ‘/home/katsoda/Downloads/Second_Life_5_0_4_325124_i686’/configure
    bash: / home / katsoda / Downloads / Second_Life_5_0_4_325124_i686 / configure: Datoteka ili direktorij ne postoje »» »
    Bolje da preuzmem Windows 10 i uzmem dupe. (?)
    Pa ne. Ali ovo je jedna od stvari koje mrzim kod Linuxa. Instaliranje i molitva da su vaši omiljeni programi ovdje kompatibilni popriličan je izazov.

    1.    Gatoo_ dijo

      Da se ne mučite, gospodo, ali kreator tutorijala savršeno objašnjava što učiniti ako dobijete pogrešku s ./configure. Morate samo pročitati ostatak tutorijala (koji je u 4 retka).

      Smatram nevjerojatnim da se toliko ljudi žali da to ne objašnjava stvari kad niste ni stali čitati.

  54.   petak dijo

    Pa, službeno se proglašavam nesposobnim za ovu vrstu datoteka. Pokušavam instalirati javu i to je ono što jest;
    javier @ potkrovlje: ~ / JAVA / jre1.8.0_151 $ tar -zxvf jre-8u151-linux-x64.tar.gz
    tar (dijete): jre-8u151-linux-x64.tar.gz: Nije moguće otvoriti: Datoteka ili direktorij ne postoji
    tar (dijete): Pogrešku nije moguće popraviti: izlazak je sada
    tar: dijete je vratilo status 2
    tar: Pogreška se ne može popraviti: izlazak sada

  55.   Roger deku dijo

    u linux ubuntu 18.04.01 lts jednostavno morate otkucati ./namedelprograma u istu mapu nakon što ga raspakirate i voila !!!

  56.   Jia dijo

    Vrlo dobro, bilo je od velike pomoći.

  57.   emerson Goncalez dijo

    u av linuxu to ne radi
    Ne znam što je čudno, ili svaki put kada instalirate distro započnete križni put
    vidite kako ide tipkovnica

  58.   Jose Felix Paisano Morales dijo

    Pozdrav svima, koristim Ubunto 20 i pregledao sam ovu stranicu kako bih instalirao skener Epsona L4150 (pogone sam preuzeo sa http://support.epson.net/linux/en/imagescanv3.php?version=1.3.38#ubuntu).
    Slijedio sam korake i koristio 'tar -zxvf filename.tar.gz', prilikom raspakiranja koje sam koristio
    '$ cd imagescan-bundle-ubuntu-20.04-3.63.0.x64.deb', što je mapa koja je stvorena.
    Unutar mape koju sam koristio './install.sh', što je poput korištenja './configure', sustav me pitao za lozinku i sve je dobro instalirano.
    Isprobao sam svoj skener i bilo je sjajno, hvala što ste mi dali upute, uspio sam koristiti svoj skener